This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1265837 - Data Sets extension - Data Set Editor column type updates are not applied until the data set is saved
Data Sets extension - Data Set Editor column type updates are not applied unt...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity unspecified
: ER4
: 6.2.0
Assigned To: David Gutierrez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 17:47 EDT by Roger Martínez
Modified: 2015-11-30 01:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roger Martínez 2015-09-23 17:47:52 EDT
Description of problem:

In Data Set editor, changing the type for a given column when editing a data set, it does not takes effect until the data set is saved / updated.
NOTE: Currently the issue is not present in master branch, only for 0.3.x branch.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Navigate to Extensions -> Data Sets
2. Edit a data set
3. Change a column type, for example, any column from type number to label. The preview table is refreshed, but the values for the column are still not formatted as if the column would be a label type. 
4.- Saving the data set solves the problem, but until no save or update is done, the updated given column types are not applied on the preview table.

Actual results:


Expected results:


Additional info:

This bug is same as the JIRA one -> https://issues.jboss.org/browse/DASHBUILDE-45
Comment 2 Roger Martínez 2015-09-23 19:00:36 EDT
Created the PR, waiting for all ticket flags to be set for doing the merge, if finally approved -> https://github.com/dashbuilder/dashbuilder/pull/43
Comment 3 Roger Martínez 2015-09-24 15:14:59 EDT
Fixed on 0.3.x branch -> https://github.com/dashbuilder/dashbuilder/commit/c5923561123121c414dad06aaca55316b773e12e
Comment 4 Jan Hrcek 2015-10-27 05:06:48 EDT
Ok, now the format of data in preview table is updated right after column data type is changed. Verified with BPM Suite 6.2.0 ER4.

Note You need to log in before you can comment on or make changes to this bug.